<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>PoznajApp</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-spinner *ngIf="!points" class="center-spinner"></ion-spinner>
  <div #map id="map"></div>
  <ion-scroll scrollY="true" style="width: 100%; height: 50%;">
    <ion-list *ngIf="points && points[1].features">
      <ion-item *ngFor="let story of points[1].features" (click)="moveMapCenterTo(story)">
        <ion-thumbnail item-start>
          <img src="{{ story.properties.point_images[0].image_file }}">
        </ion-thumbnail>
        <h2>{{ story.properties.title }}</h2>
        <button ion-button item-end icon-only clear [navPush]="pointPage" [navParams]="{point: story}">
          <ion-icon name="ios-arrow-forward"></ion-icon>
        </button>
      </ion-item>
    </ion-list>
  </ion-scroll>
</ion-content>
